## org.h2.result
Class SimpleRowValue

    java.lang.Object
      org.h2.result.SimpleRowValue

All Implemented Interfaces:
  SearchRow

    public class SimpleRowValue

extends java.lang.Object
implements SearchRow

A simple row that contains data for only one column.

Field Summary

Fields inherited from interface org.h2.result.SearchRow
`EMPTY_ARRAY`

Constructor Summary
`SimpleRowValue(int columnCount)`

Method Summary
`int` `getColumnCount()` Get the column count.
`long` `getKey()` Get the unique key of the row.
`int` `getMemory()` Get the estimated memory used for this row, in bytes.
`Value` `getValue(int idx)` Get the value for the column
`int` `getVersion()` Get the version of the row.
`void` `setKey(long key)` Set the unique key of the row.
`void` `setKeyAndVersion(SearchRow row)` Set the position and version to match another row.
`void` `setValue(int idx, Value v)` Set the value for given column
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleRowValue

    public SimpleRowValue(int columnCount)

Method Detail

### setKeyAndVersion

    public void setKeyAndVersion(SearchRow row)

  Description copied from interface: `SearchRow`
  Set the position and version to match another row.

  Specified by:
    `setKeyAndVersion` in interface `SearchRow`
  Parameters:
    `row` - the other row.

### getVersion

    public int getVersion()

  Description copied from interface: `SearchRow`
  Get the version of the row.

  Specified by:
    `getVersion` in interface `SearchRow`
  Returns:
    the version

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `SearchRow`
  Get the column count.

  Specified by:
    `getColumnCount` in interface `SearchRow`
  Returns:
    the column count

### getKey

    public long getKey()

  Description copied from interface: `SearchRow`
  Get the unique key of the row.

  Specified by:
    `getKey` in interface `SearchRow`
  Returns:
    the key

### setKey

    public void setKey(long key)

  Description copied from interface: `SearchRow`
  Set the unique key of the row.

  Specified by:
    `setKey` in interface `SearchRow`
  Parameters:
    `key` - the key

### getValue

    public Value getValue(int idx)

  Description copied from interface: `SearchRow`
  Get the value for the column

  Specified by:
    `getValue` in interface `SearchRow`
  Parameters:
    `idx` - the column number (starting with 0)
  Returns:
    the value

### setValue

    public void setValue(int idx,
                         Value v)

  Description copied from interface: `SearchRow`
  Set the value for given column

  Specified by:
    `setValue` in interface `SearchRow`
  Parameters:
    `idx` - the column number (starting with 0)
    `v` - the new value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMemory

    public int getMemory()

  Description copied from interface: `SearchRow`
  Get the estimated memory used for this row, in bytes.

  Specified by:
    `getMemory` in interface `SearchRow`
  Returns:
    the memory